Debian Bug report logs - #585352
rootstrap: Python string exceptions no more allowed in Python 2.6

version graph

Package: rootstrap; Maintainer for rootstrap is User Mode Linux Maintainers <pkg-uml-pkgs@lists.alioth.debian.org>; Source for rootstrap is src:rootstrap.

Reported by: Sandro Tosi <morph@debian.org>

Date: Wed, 9 Jun 2010 22:30:07 UTC

Severity: important

Tags: patch

Found in version rootstrap/0.3.24-5

Fixed in version rootstrap/0.3.24-6.1

Done: Jakub Wilk <jwilk@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to User Mode Linux Maintainers <pkg-uml-pkgs@lists.alioth.debian.org>:
Bug#585352; Package rootstrap. (Wed, 09 Jun 2010 22:30:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@ravel.debian.org>:
New Bug report received and forwarded. Copy sent to User Mode Linux Maintainers <pkg-uml-pkgs@lists.alioth.debian.org>. (Wed, 09 Jun 2010 22:30:10 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@ravel.debian.org>
To: maintonly@bugs.debian.org
Subject: rootstrap: Python string exceptions no more allowed in Python 2.6
Date: Wed, 09 Jun 2010 22:19:39 +0000
Package: rootstrap
Version: 0.3.24-5
Severity: minor
User: debian-python@lists.debian.org
Usertags: python2.6

Hello,
One of the changes brought by Python 2.6 is the removal of string
exceptions, so they won't work in Python 2.6 (just a side note: they
were also buggy before, since they were not guaranteed to work
reliable even in <2.6); as an example:

$ python2.5 -c "raise 'eggs'"
-c:1: DeprecationWarning: raising a string exception is deprecated
Traceback (most recent call last):
  File "<string>", line 1, in <module>
eggs

$ python2.6 -c "raise 'eggs'"
Traceback (most recent call last):
  File "<string>", line 1, in <module>
TypeError: exceptions must be old-style classes or derived from BaseException, not str

Since 2.6 is the planned default version for the upcoming new Debian
stable release, there are chances your package may be affected by this
change.

We are not sure your package is impacted, since the exception raise
can be in a dead or very rare branch of the code, and so simply never
being executed. We would like to leverage your package maintainer
status and the relationship with upstream authors to inspect more
deeply the issue and act accordingly (that includes: making this bug
release critical, closing it as irrelevant, tagging it 'wontfix', or
whatever is appropriate).

Jakub Wilk made the discovery of the problem and kindly prepared a
list [1] of all identified packages (downloaded on 2010-06-09) along
with files & lines that triggered the pattern search.

[1] http://people.debian.org/~morph/strexp/string-exceptions.lintian

This mass-bug filing was announced at 2010-06-06 on [2] (see the
thread and the references there).

[2] http://lists.debian.org/debian-devel/2010/06/msg00097.html

We do not consider the whole situation a stopper for the Python
transition to 2.6, except (of course) for those single bugs where
severity will be increased.

Thanks in advance for your attention,
Sandro on behalf of debian-python




Changed Bug submitter to 'Sandro Tosi <morph@debian.org>' from 'Sandro Tosi <morph@ravel.debian.org>' Request was from Sandro Tosi <morph@debian.org> to control@bugs.debian.org. (Tue, 22 Jun 2010 22:29:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, User Mode Linux Maintainers <pkg-uml-pkgs@lists.alioth.debian.org>:
Bug#585352; Package rootstrap. (Thu, 18 Nov 2010 08:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Václav Ovsík <vaclav.ovsik@i.cz>:
Extra info received and forwarded to list. Copy sent to User Mode Linux Maintainers <pkg-uml-pkgs@lists.alioth.debian.org>. (Thu, 18 Nov 2010 08:21:03 GMT) Full text and rfc822 format available.

Message #12 received at 585352@bugs.debian.org (full text, mbox):

From: Václav Ovsík <vaclav.ovsik@i.cz>
To: 585352@bugs.debian.org, 563706@bugs.debian.org
Subject: the bug #585352 appeared in #563706 already
Date: Thu, 18 Nov 2010 09:12:46 +0100
Hi,
the bug #585352 appeared in #563706.
A primary problem is visible from shell output
of /usr/lib/rootstrap/modules/uml fortunately.
Regards
-- 
Zito




Information forwarded to debian-bugs-dist@lists.debian.org, User Mode Linux Maintainers <pkg-uml-pkgs@lists.alioth.debian.org>:
Bug#585352; Package rootstrap. (Sun, 30 Jan 2011 21:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riccardo Murri <riccardo.murri@gmail.com>:
Extra info received and forwarded to list. Copy sent to User Mode Linux Maintainers <pkg-uml-pkgs@lists.alioth.debian.org>. (Sun, 30 Jan 2011 21:06:03 GMT) Full text and rfc822 format available.

Message #17 received at 585352@bugs.debian.org (full text, mbox):

From: Riccardo Murri <riccardo.murri@gmail.com>
To: 585352@bugs.debian.org
Subject: Re: rootstrap: Python string exceptions no more allowed in Python 2.6
Date: Sun, 30 Jan 2011 22:02:56 +0100
[Message part 1 (text/plain, inline)]
As of rootstrap 0.3.24-5, any failure in a rootstrap module triggers
throwing a string exception in builder.  With Python 2.6, this gets
particularly annoying since the interpreter throws a TypeError
("exceptions must be old-style classes or derived from BaseException,
not str") that masks rootstrap's error message.

Please find attached a patch against the builder script of 0.3.24-5

Cheers,
Riccardo
[rootstrap.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, User Mode Linux Maintainers <pkg-uml-pkgs@lists.alioth.debian.org>:
Bug#585352; Package rootstrap. (Mon, 31 Jan 2011 01:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mattia Dongili <malattia@linux.it>:
Extra info received and forwarded to list. Copy sent to User Mode Linux Maintainers <pkg-uml-pkgs@lists.alioth.debian.org>. (Mon, 31 Jan 2011 01:57:03 GMT) Full text and rfc822 format available.

Message #22 received at 585352@bugs.debian.org (full text, mbox):

From: Mattia Dongili <malattia@linux.it>
To: Riccardo Murri <riccardo.murri@gmail.com>, 585352@bugs.debian.org
Subject: Re: [Pkg-uml-pkgs] Bug#585352: rootstrap: Python string exceptions no more allowed in Python 2.6
Date: Mon, 31 Jan 2011 10:53:04 +0900
On Sun, Jan 30, 2011 at 10:02:56PM +0100, Riccardo Murri wrote:
> As of rootstrap 0.3.24-5, any failure in a rootstrap module triggers
> throwing a string exception in builder.  With Python 2.6, this gets
> particularly annoying since the interpreter throws a TypeError
> ("exceptions must be old-style classes or derived from BaseException,
> not str") that masks rootstrap's error message.
> 
> Please find attached a patch against the builder script of 0.3.24-5

I didn't have time to upload a proper fix in the past... year or two.
Post squeze hopefully I'll manage to take some more care of UML
packages. Any help is most welcome in any case.
-- 
mattia
:wq!




Added indication that 585352 affects pbuilder-uml Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Thu, 31 Mar 2011 11:27:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, User Mode Linux Maintainers <pkg-uml-pkgs@lists.alioth.debian.org>:
Bug#585352; Package rootstrap. (Wed, 04 May 2011 11:51:34 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
Extra info received and forwarded to list. Copy sent to User Mode Linux Maintainers <pkg-uml-pkgs@lists.alioth.debian.org>. (Wed, 04 May 2011 11:51:36 GMT) Full text and rfc822 format available.

Message #29 received at 585352@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: 585352@bugs.debian.org, Debian bugs control server <control@bugs.debian.org>
Subject: [rootstrap] Important beacuse break pbuilder-uml
Date: Wed, 4 May 2011 13:08:53 +0200
severity 585352 important
thanks

this bug break pbuilder-uml and render it useless so raise severity

Bastien









Information forwarded to debian-bugs-dist@lists.debian.org, User Mode Linux Maintainers <pkg-uml-pkgs@lists.alioth.debian.org>:
Bug#585352; Package rootstrap. (Wed, 04 May 2011 11:51:43 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
Extra info received and forwarded to list. Copy sent to User Mode Linux Maintainers <pkg-uml-pkgs@lists.alioth.debian.org>. (Wed, 04 May 2011 11:51:46 GMT) Full text and rfc822 format available.

Message #34 received at 585352@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: 585352@bugs.debian.org, Debian bugs control server <control@bugs.debian.org>
Subject: [rootstrap]
Date: Wed, 4 May 2011 13:21:11 +0200
block 563706 by 585352
thanks

Mark blocked bug




Severity set to 'important' from 'minor' Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 11:54:13 GMT) Full text and rfc822 format available.

Added indication that bug 585352 blocks 563706 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 11:54:31 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, User Mode Linux Maintainers <pkg-uml-pkgs@lists.alioth.debian.org>:
Bug#585352; Package rootstrap. (Tue, 17 Jan 2012 18:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to User Mode Linux Maintainers <pkg-uml-pkgs@lists.alioth.debian.org>. (Tue, 17 Jan 2012 18:15:05 GMT) Full text and rfc822 format available.

Message #43 received at 585352@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 514671@bugs.debian.org, 585352@bugs.debian.org
Cc: control@bugs.debian.org
Subject: rootstrap: diff for NMU version 0.3.24-6.1
Date: Tue, 17 Jan 2012 19:12:57 +0100
[Message part 1 (text/plain, inline)]
tags 514671 + patch
tags 514671 + pending
tags 585352 + patch
tags 585352 + pending
thanks

Dear maintainer,

I've prepared an NMU for rootstrap (versioned as 0.3.24-6.1) and 
uploaded it to DELAYED/10. Please feel free to tell me if I should delay 
it longer.

-- 
Jakub Wilk
[rootstrap-0.3.24-6.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Tue, 17 Jan 2012 18:15:12 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Tue, 17 Jan 2012 18:15:12 GMT) Full text and rfc822 format available.

Reply sent to Jakub Wilk <jwilk@debian.org>:
You have taken responsibility. (Fri, 27 Jan 2012 19:06:14 GMT) Full text and rfc822 format available.

Notification sent to Sandro Tosi <morph@debian.org>:
Bug acknowledged by developer. (Fri, 27 Jan 2012 19:06:14 GMT) Full text and rfc822 format available.

Message #52 received at 585352-close@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 585352-close@bugs.debian.org
Subject: Bug#585352: fixed in rootstrap 0.3.24-6.1
Date: Fri, 27 Jan 2012 19:03:58 +0000
Source: rootstrap
Source-Version: 0.3.24-6.1

We believe that the bug you reported is fixed in the latest version of
rootstrap, which is due to be installed in the Debian FTP archive:

rootstrap_0.3.24-6.1.diff.gz
  to main/r/rootstrap/rootstrap_0.3.24-6.1.diff.gz
rootstrap_0.3.24-6.1.dsc
  to main/r/rootstrap/rootstrap_0.3.24-6.1.dsc
rootstrap_0.3.24-6.1_i386.deb
  to main/r/rootstrap/rootstrap_0.3.24-6.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 585352@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jakub Wilk <jwilk@debian.org> (supplier of updated rootstrap package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 17 Jan 2012 18:29:05 +0100
Source: rootstrap
Binary: rootstrap
Architecture: source i386
Version: 0.3.24-6.1
Distribution: unstable
Urgency: low
Maintainer: User Mode Linux Maintainers <pkg-uml-pkgs@lists.alioth.debian.org>
Changed-By: Jakub Wilk <jwilk@debian.org>
Description: 
 rootstrap  - A tool for building complete Linux filesystem images
Closes: 514671 585352
Changes: 
 rootstrap (0.3.24-6.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Don't use string exceptions (closes: #585352); they were removed in Python
     2.6. Thanks to Sandro Tosi for the bug report and to Riccardo Murri for
     the patch.
   * Remove Stefano Melchior from Uploaders (closes: #514671). Thanks to Sandro
     Tosi for the bug report.
Checksums-Sha1: 
 a6bafeb00e85dddcaf238983262933343367e425 1763 rootstrap_0.3.24-6.1.dsc
 af3351f8144911e9dc0aaaf0f67010a8c2d42ed2 7521 rootstrap_0.3.24-6.1.diff.gz
 ff0947a6ec01e6444b1387526a0ccbfab3fd8a7a 21644 rootstrap_0.3.24-6.1_i386.deb
Checksums-Sha256: 
 ab47720a76929026ff3316565a89f9878b12e3183f7130e9f4d22eed2f283283 1763 rootstrap_0.3.24-6.1.dsc
 a609b47565624f15a3d803a5e9e28a59d5e265db0cc7dcdb67c39f09bc8847c9 7521 rootstrap_0.3.24-6.1.diff.gz
 23de9aa60c89d4b2f4cd6ce10bd701d7a59749a2e8ad37f576039b45cc3442e2 21644 rootstrap_0.3.24-6.1_i386.deb
Files: 
 c5a9eba40b7ef778ea3d48b35e68f2ba 1763 utils optional rootstrap_0.3.24-6.1.dsc
 77ae7b089d09a3fafdb9ae6609079ff8 7521 utils optional rootstrap_0.3.24-6.1.diff.gz
 d2ff39f6a3f7f19246363a46a4312efc 21644 utils optional rootstrap_0.3.24-6.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJPFboaAAoJEC1Os6YBVHX1nK0P/jltInbTNmgCjLtJ6/a2Eobw
U7gUQebeMzkXIUwNiQ1BcWlCHmcgncslwJS4ReIwFoX97fa+QOezBNzvt0JqSAk4
5jHgkiaG9b9VhpsxCfdtz3JLKcVEuUk48pqN64+yeHi+BMwFj8lfSoNAa+fQaNR5
gplry86JMOJGkJ33uCQwUVYvo9QOQgMyHfqu1iTHdjOVdn6Ql6sUSP3kn1qc+1o6
5sJGEfqNTT1NJeFJlwdMdsppmUhdJ23MNHq37dMUoGcjiMsCXqvIhi6pOQVJLqEy
8IxuVOHk1Hgt3xVHKL3GduH1AHq4N80w2c8maPf+MOtuazT10adxZfuXqM4eOUIA
2N6RgAGXE3Rr9DuY+pI8D9yqSpVGlGqyYibx0UcIjIEYWg5dqAD04uERm03i8xas
7RWhRI1K1HMQSIhTIeA9XzYh6p4MFNxJw40pCNqlm45wWA0imspEcX/8dH90z6lS
pp1U3CmpZN/PGlrtqWj5mq3dnt85DVo8PCyzItbsiU6W5XTlZK+ocFrPYft3ubCs
4VfqIm3Kqx69RRV7BpWnFhxGFbshe1i/VVGN1BdHDaBNEaxeKRPs9Gdl7hfGLgQk
p4eOzHUVVtDdF7HrCdRao/LGbgs04FmlxSjESOKre7CNFtxLx26IfP5xqjNXzN/X
IqWZAkq5r4SNRhAeCv0k
=SWLX
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 06 Mar 2012 07:37:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:23:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.